> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.paywithatoa.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Getstores | Payments API

> Retrieve stores via the Atoa Payments API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.

If your business has more than one store location and you want to manage staff and payments separately for each store, make sure to pass the correct store ID in the payment request.

<Note>
  When you sign up with Atoa, a **default (primary) store** is automatically
  created for your business. You can create or disable additional store
  locations from the Atoa Dashboard or Mobile app
</Note>

If the `storeId` is **missing**, **incorrect**, or refers to a **disabled** store the
payment request will be routed to your default (primary) store.

### Authorization

Bearer `<token>`

**Response**

<ResponseField name="page" type="number">
  Current page number
</ResponseField>

<ResponseField name="size" type="number">
  Number of objects per page.
</ResponseField>

<ResponseField name="data" type="object" value="kwejdn">
  Array of objects

  <Expandable title="properties">
    <ResponseField name="id" type="string">
      A unique Store id created for every store.
    </ResponseField>

    <ResponseField name="locationName" type="string">
      Location Name.
    </ResponseField>

    <ResponseField name="addressLine1" type="string">
      address Line 1.
    </ResponseField>

    <ResponseField name="addressLine2" type="string">
      address Line 2.
    </ResponseField>

    <ResponseField name="addressPostalCode" type="string">
      Address postal code.
    </ResponseField>

    <ResponseField name="primary" type="boolean">
      Store is primary or not.
    </ResponseField>

    <ResponseField name="enabled" type="boolean">
      Store is enabled or not.
    </ResponseField>

    <ResponseField name="images" type="array">
      Merchant Store images that are visible to customers during the checkout process.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="totalCount" type="number" default="0">
  Total number of stores
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "page": 0,
    "size": 20,
    "data": [
      {
        "id": "549000a4-eee4-4b7d-bc88-c529a92544cd",
        "locationName": "cambridge",
        "addressLine1": "UNIT 3 BOLNEY GRANGE INDUSTRIAL PK ",
        "addressLine2": "49 THE MARTLETS",
        "addressPostalCode": "PO16 7GZ",
        "cityOrTown": "England",
        "primary": "true",
        "enabled": "true",
        "images": "[image-url]"
      }
    ],
    "totalCount": 1
  }
  ```

  ```json 400 theme={null}
  {
    "name": "BAD_REQUEST",
    "message": "merchant not found",
    "status": 400,
    "errors": "[]"
  }
  ```

  ```json 401 theme={null}
  {
    "name": "UNAUTHORIZED",
    "message": "Unauthorized",
    "status": 401,
    "errors": "[]"
  }
  ```

  ```json 404 theme={null}
  {
    "name": "RESOURCE NOT FOUND",
    "message": "Resource not found",
    "status": 404,
    "errors": "[]"
  }
  ```
</ResponseExample>
